Bug 193590 - External SCSI JBOD causes Kernel panic
External SCSI JBOD causes Kernel panic
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-30 16:25 EDT by rc
Modified: 2008-01-19 23:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rc 2006-05-30 16:25:26 EDT
Description of problem:

Brand new Dell PE850 server, installed Fedora Core 5 on internal SATA drive
no problems. Added Apaptec ASC-39320 SCSI card still all ok. Connected external
SCSI JBOD (AXUS Yotta 4TB array Raid5) at boot up now get:

     Red Hat nash version 5.0.32 starting

     BUG: spinlock recursion on CPU#0, scsi_eh_0/350 (Not tainted)
     lock: f7dc54c0, .magic: dead4ead, .owner: scsi_eh_0/350, .owner_cpu: 0
     Kernel panic -not syncing: bad locking

This is 100% reproducable. If SCSI JOBOD disconnected no problems. Initial
Kernal was 2.6.15-1 upgraded to 2.6.16-1.2122_FC5smp

Used Adaptec SCSI BIOS tools to check external disk, including 100% verify,
found no problems. Swapped SCSI cable and terminator still no change.

Version-Release number of selected component (if applicable):

2.6.16-1.2122_FC5smp


How reproducible:

100%

Steps to Reproduce:
1. Shut system down
2. Connect external SCSI JBOD
3. Power system on
  
Actual results:

Always get Kernal panic at same point with external disk connected.

Expected results:


Additional info:
Comment 1 Dave Jones 2006-10-16 15:08:10 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:40:47 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.